Skip to main content
POST
UPI Penny Drop Request

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

x-api-version
string
default:2024-12-01
required

API version to be used. Format is in YYYY-MM-DD.

Example:

"2024-12-01"

Body

application/json

Find the request parameters to create a UPI penny drop request.

verification_id
string
required

It is the unique ID you create to identify the verification request. The maximum character limit is 50. Only alphaumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"test_verification_id"

vpa
string
required

It is the valid UPI VPA information. Only alphanumeric, period (.), hyphen (-), underscore ( _ ), and at the rate of (@) are accepted.

Example:

"success@upi"

Consent details to be used for verification.

name
string

It is the name of the account holder.

Example:

"John Doe"

Response

Success response for UPI Penny Drop verification.

verification_id
string

It is the unique ID you create to identify the verification request. The maximum character limit is 50. Only alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"test_verification_id"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes. format: int64

Example:

12345

status
string

It displays the status of the UPI penny drop verification.

Example:

"SUCCESS"

ifsc
string | null

It displays the IFSC information associated with the VPA.

Example:

"ICIC0006567"

vpa
string

It is the valid UPI VPA information. Only alphanumeric, period (.), hyphen (-), underscore ( _ ), and at the rate of (@) are accepted.

Example:

"success@upi"

name_at_bank
string | null

It displays the name of the account holder as registered in the bank records.

Example:

"JOHN DOE"

utr
string | null

It displays the Unique Transaction Reference (UTR) number for the penny drop transaction.

Example:

"123456789012"

bank_account
string | null

It displays the bank account number associated with the VPA.

Example:

"1234567890"

name_match_score
string | null

It displays the name match score when name verification is performed.

Example:

"95"

name_match_result
string | null

It displays the result of name matching verification.

Example:

"MATCH"

ifsc_details
object

It displays the details corresponding to the IFSC information.